Bug 38301 - Consider adding OpenDocument mime types
Summary: Consider adding OpenDocument mime types
Status: RESOLVED FIXED
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: Runtime Config (show other bugs)
Version: 2.5-HEAD
Hardware: Other other
: P3 enhancement with 48 votes (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-17 12:50 UTC by Alex Hudson
Modified: 2007-08-30 11:29 UTC (History)
1 user (show)



Attachments
Proposed patch to add the necessary mime types. (1.11 KB, patch)
2006-01-17 12:51 UTC, Alex Hudson
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Hudson 2006-01-17 12:50:58 UTC
Hi.

Please consider adding the following OpenDocument mime types to the default
apache configuration. The OpenDocument format is the OASIS standard for writing
documents, and is supported by a number of applications including
OpenOffice.org, KOffice, Abiword, and many more are developing support (e.g.,
Apache Lenya).

    http://opendocumentfellowship.org/Resources/ForWebmasters

I attach a patch to add these types.

The mime types are in the process of being formally registered:

  http://lists.oasis-open.org/archives/office/200505/msg00002.html

This is related to bug #37185, I think that bug should possibly depend on this
one. Also, would it be worth entering an equivalent bug against apache 1.3?
Comment 1 Alex Hudson 2006-01-17 12:51:41 UTC
Created attachment 17443 [details]
Proposed patch to add the necessary mime types.
Comment 2 Alex Hudson 2006-06-01 09:15:00 UTC
Just to update this bug, the MIME types mentioned have now been registered with
IANA; see vnd.oasis.opendocument.*

It would be good to see future versions of Apache deliver these files correctly
out-of-the-box.
Comment 3 Lars Nooden 2006-06-01 12:54:55 UTC
The full list can be found at IANA:
   http://www.iana.org/assignments/media-types/application/
Comment 4 Roy T. Fielding 2007-08-30 11:29:29 UTC
Committed to trunk in rev 571267.